function s=Trapezoid(f,a,b,M,varargin)
 
%lichobeznikove pravidlo pro vypocet integralu
%Input    - f is the integrand input as a string 'f', which must accept vector inputs
%         - a and b are upper and lower limits of integration
%         - M is the number of subintervals
%varargin dalsi argumenty fce f
%Output   - s is the trapezoidal rule sum
 
h=(b-a)/M;
x=a:h:b;
n=length(x);
fval=feval(f,x,varargin{:});
s=h*sum(fval(:,1:n-1)+fval(:,2:n),2)/2;
end